import { useRef } from 'react';
/**
 * Хук для генерации уникальных идентификаторов в контексте вызова
 * Не предназначен для экспорта из пакета
 */
export const useGenerateLocalId = () => {
    const indexRef = useRef(0);
    const generateId = () => {
        indexRef.current += 1;
        return indexRef.current;
    };
    return { generateId };
};
